<%--
 * Copyright 2016 Kwoksys
 *
 * http://www.kwoksys.com/LICENSE
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
--%>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://www.kwoksys.com/tags" prefix="k" %>

<jsp:include page="/jsp/common/template/ActionMessages.jsp"/>

<table class="selectTable">

<k:notPresent name="hardwareList">
    <tr><td><k:message key="form.noSearchResult"/></td></tr>
</k:notPresent>

<k:isPresent name="hardwareList">
        <tr><td colspan="3"><k:message key="hardware.autosuggest.matches" arg0="10"/></td></tr>
        <tr>
            <th>&nbsp;</th>
            <th><k:message key="common.column.id"/></th>
            <th><k:message key="common.column.name"/></th>
        </tr>
        <k:foreach id="hardware" name="hardwareList">
            <tr>
                <td><input type="checkbox" name="formSelectedHardwareId" value="${hardware.hardwareId}" onchange="enableSave()"></td>
                <td>${hardware.hardwareId}</td>
                <td>${hardware.hardwareName}</td>
            </tr>
        </k:foreach>
</k:isPresent>
</table>
